/*
 * File: PWM_TZ_ISR_main.c
 * Date: 2024/09/02
 * Version: UNRELEASE
 * Description: This file is released on TI E2E forum for PWM TZ ISR debugging usage
 * DO NOT DISTRIBUTE TO OTHER PLACE
 * Copyright (C) 2024 JohnsonCL Chen <johnson35762@gmail.com>
 */

#include <PWM_TZ_ISR_main.h>		// the first include

//******************************************************************
// global variables
//******************************************************************

void main(void)
{

    // Initialize device clock and peripherals
    InitSysCtrl();

    GPIO_init();
    ADC_init();
    Timer_init();
    CMPSS_init();
    XBAR_init();
    EPWM_init();
    Interrupt_init();

//    EALLOW;
//    EPwm1Regs.TZEINT.bit.OST = TZ_ENABLE;
//    EDIS;

	while(1){
		// Do nothing
	}
}


__interrupt void ADCINT1_ISR (void){
    AdcaRegs.ADCINTFLGCLR.bit.ADCINT1 = 1;
    PieCtrlRegs.PIEACK.bit.ACK1 = 1;
}


__interrupt void Epwm1_TZ_ISR(void){
	GpioDataRegs.GPATOGGLE.bit.GPIO4 = 1;
	GpioDataRegs.GPATOGGLE.bit.GPIO4 = 1;
    PieCtrlRegs.PIEACK.bit.ACK2 = 1;
    EALLOW;
    EPwm1Regs.TZCLR.all = 0x7F;	//Writing 1 clears event trip condition
    EDIS;

}

__interrupt void Timer2_ISR(void){
	GpioDataRegs.GPATOGGLE.bit.GPIO6 = 1;
}

// EOF
